## ethercat 1.6.4.g703b611

=== debian/changelog ===
ethercat (1.6.4.g703b611-1+17.1) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 17 Apr 2025 14:10:04 +0000

ethercat (1.6.4.g703b611-0) UNRELEASED; urgency=medium

  * Changes for 1.6 release

 -- Florian Pose <fp@igh.de>  Wed, 07 Feb 2024 11:00:53 +0100

ethercat (1.5.2-40~gitc022ddbd) UNRELEASED; urgency=medium

  * Restructure DKMS package
  * Add TTY module support
  * DKMS rework
  * DKMS without tty support
  * Remove obsolete files from package
  * Fix systemd service file path
  * use of systemd debhelper
  * Fix rules file
  * Add missing build dependency to dh-systemd for debian 9
  * Update to 53ce5e56d511
  * Package rebuild
  * Fix dependencies
  * Update to 334c34cfd2e5, debhelper >=10 required, remove dh-systemd dependecy
  * new packaging
  * Rebased to git repository, update to b87076135ec3a8147203ef1308aaf829388ff177
  * Split dkms packages, build for RPI4
  * Architecture dependend configure
  * Fix rules
  * Fix rules
  * Revert architecture check
  * 34dcf04d (HEAD -> stable-1.5, origin/stable-1.5, origin/HEAD) Merge branch 'cherry-pick-5bd40149' into 'stable-1.5'
  * Fix build (pkg-config)
  * Fix systemd install path
  * Add cmake template and pkg config file
  * 45f2d1a9 (HEAD -> master, origin/master, origin/HEAD) Merge branch 'Fix-19' into 'master'
  * d599f798 (HEAD -> stable-1.5, origin/stable-1.5) Merge branch 'fix_aarch64_build' into 'stable-1.5'
  * Fix dh_missing
  * 9b0a63ab (HEAD -> stable-1.5, origin/stable-1.5) Merge branch 'fix_cmake' into 'stable-1.5'
  * Compat from 9 to 10, 15f19fbb (HEAD -> stable-1.5, origin/stable-1.5) Update .gitlab-ci.yml
  * Fix Changelog handling
  * Back to Compat 9, TODO change to 10
  * Compat 10, Add bach completition, 26e5b9f5 (HEAD -> stable-1.5, origin/stable-1.5) Minor: Fixed indent.
  * eb35635b (HEAD -> stable-1.5, origin/stable-1.5) Removed stages definition.
  * 4933150c (HEAD -> stable-1.5, origin/stable-1.5) Merge branch 'fix-cli-download' into 'stable-1.5'
  * 65b1efe3 (HEAD -> stable-1.5, origin/stable-1.5) Precised kernel versions.
  * 6f950921 (HEAD -> stable-1.5, origin/stable-1.5) Fixed typo.
  * 0b272073 (HEAD -> stable-1.5, origin/stable-1.5) Use git revision for documentation.
  * Add dh-sequence-dkms build dependency
  * Add git to version schema
  * Split build packages, back to old package dependencies, build only for Debian <=11
  * c022ddbc (HEAD -> stable-1.5, origin/stable-1.5) Merge branch 'stable-1.5' into 'stable-1.5'

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Thu, 04 May 2023 08:53:53 +0200

ethercat (1.5.2-2) UNRELEASED; urgency=medium

  * Update to HG 5f29e43487df

 -- Andreas Stewering-Bone <ab@igh.de>  Wed, 01 May 2019 16:31:08 +0100

ethercat (1.5.2-1) unstable; urgency=low

  * Initial release

 -- Andreas Stewering-Bone <andreas.stewering-bone@gmx.de>  Thu, 04 Oct 2018 22:51:02 +0200
