=== documentation/graphs/Makefile ===
#-----------------------------------------------------------------------------

GRAPHS := \
	fsm_change \
	fsm_eoe \
	fsm_master \
	fsm_pdo_conf \
	fsm_pdo_entry_conf \
	fsm_pdo_entry_read \
	fsm_pdo_read \
	fsm_sii \
	fsm_slave_conf \
	fsm_slave_scan

#-----------------------------------------------------------------------------

PDF = $(addsuffix .pdf,$(GRAPHS))

#-----------------------------------------------------------------------------

all: pdf

pdf: $(PDF)

%.pdf: %.dot
	dot -Tpdf -o $@ $<

clean:
	@rm -f *.pdf

#-----------------------------------------------------------------------------
