=== debian/changelog ===
ethercat (1.6.8.g2543cc5-1+27.2) UNRELEASED; urgency=medium

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Thu, 16 Oct 2025 17:15:14 +0000

ethercat (1.6.8.g2543cc5-0) UNRELEASED; urgency=medium

  * Changes for 1.6 release

 -- Florian Pose <fp@igh.de>  Wed, 07 Feb 2024 11:00:53 +0100
