=== debian/control ===
Source: ethercat
Priority: optional
Maintainer: Andreas Stewering-Bone <ab@igh.de>
Build-Depends: debhelper (>= 12.10), libtool, autoconf, autoconf-archive, automake, build-essential, fakeroot, kbuild, pkg-config, systemd-dev | systemd, bash, dh-dkms | dkms, udev
Standards-Version: 3.9.5
Section: libs
Testsuite: autopkgtest-pkg-dkms
Homepage: http://www.etherlab.org

Package: libethercat-dev
Section: libdevel
Architecture: any
Depends: libethercat (= ${binary:Version}), ${misc:Depends}
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 Header files of the basic realtime application interface library

Package: libethercat
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 Realtime application interface library

Package: libethercat-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libethercat (= ${binary:Version}), ${misc:Depends}
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 This package contains the debugging symbols for libethercat

Package: libfakeethercat-dev
Section: libdevel
Architecture: any
Depends: libfakeethercat (= ${binary:Version}), ${misc:Depends}
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 Development files for the realtime application interface fake library

Package: libfakeethercat
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}, ${misc:Pre-Depends}
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 Realtime application interface fake library

Package: ethercat-dkms
Architecture: all
Depends: ${misc:Depends}, libtool, autoconf, autoconf-archive, automake, pkg-config
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 This package contains the ethercat master kernel module (ec_master),
 the Beckhoff FPGA CCAT NIC module (ec_ccat),
 the Generic NIC module (ec_generic) and
 the TTY interface module (ec_tty)

Package: ethercat-master
Architecture: any
Depends: ${shlibs:Depends}, ethercat-dkms, systemd, ${misc:Depends}
Description: IgH EtherCAT Master
 This is an open-source EtherCAT master implementation for Linux.
 For more information, see https://etherlab.org/ethercat
 .
 This package contains the userspace content of the EtherCAT master
